<?php
/*
	@! MADISS
	@@ MAke DIgital Signage Simple
	@@ Version 2.0 (11/2017)
-----------------------------------------------------------------------------	
	** author: Benoît FACCHINETTI 
	** Site: http://benserveur.fr.cr/MADISS
	** email: benoitfacchinetti@gmail.com
-----------------------------------------------------------------------------
	@@package: PLAYER
	@@version: 1.0
*/
if (date_default_timezone_get() != 'Europe/Paris') {
    date_default_timezone_set('Europe/Paris'); //Forcage du fuseau horaire de Paris
}

if(is_internet()){
	$heure = date("H");
	$CONFIG = _GETCONFIG();
// var_dump($heure);
// var_dump(getIP());
	if(file_exists($CONFIG['init_url_path'])){
		$url = file_get_contents($CONFIG['init_url_path']);
		$url = rtrim($url, " \t\n\r");
	}else{
		//inclure gestionnaire d'érreur
		$ERROR = Error('405');
		include('./includes/error.php');
		echo '<meta http-equiv="refresh" content="60">'; //Nouvel essai dans 1 minutes
		exit;
	}
	// Gestion des MAJs
	if($heure >= '20' AND $heure <= '22'){ //si on est 21 heure du soir ... on verifie la maj
		require_once('./AutoUpdate/AutoUpdate.fct.php');
		if($update = CheckUpdate($CONFIG['player_maj_url'], $CONFIG['player_version'])){
			if(!empty($update['error'])){
				$post = API_POST($url, array("maj_status" => array("message" => $update['error'][0], "type" => 'error')));
			}else{
				$post = API_POST($url, array("maj_status" => array("message" => 'Une nouvelle version ('.$update['update']['version'].') est disponible.', "type" => 'info')));
				if($maj = AutoUpdate($CONFIG['player_maj_url'], $CONFIG['player_version'], './AutoUpdate/', './')){
					if(!empty($maj['error'])){
						$post = API_POST($url, array("maj_status" => array("message" => $maj['error'][0], "type" => 'error')));
					}else{
						_PUTCONFIG(array("player_version" => $maj['update']['version']));
						$post = API_POST($url, array("maj_status" => array("message" => 'est passé à la version '.$maj['update']['version'].' sans érreur.', "type" => 'info')));
					}
				}
			}
		}
	}
	//* FIN Gestion des MAJs
	// Reduction de la Bande Passante
	if($heure >= '18'){
		$img_dir = 'PM';
		$pause_mess = 'MADDIS vous souhaite une agréable fin de journée !';
		include('./includes/en_pause.php');
		echo '<meta http-equiv="refresh" content="3600">'; //Nouvel essai dans 1 heure
		exit;
	}elseif($heure < '07'){
		$img_dir = 'AM';
		$pause_mess = 'MADDIS vous souhaite une bonne journée !';
		include('./includes/en_pause.php');
		echo '<meta http-equiv="refresh" content="3600">'; //Nouvel essai dans 1 heure
		exit;
	}
	//* FIN Reduction de la Bande Passante
	$server_data = API_GET($url);
	// Gestion des requettes POST au serveur
	if(isset($server_data['SCCMD']) && !empty($server_data['SCCMD']) && is_numeric($server_data['SCCMD'])){
		switch ($server_data['SCCMD']) {
			case 192:
				//renvoie IP locale du RPI
				$post = API_POST($url, array("ip_locale" => getIP()));
				break;
			case 321:
				//reboot le RPI
				// $post = API_POST($url, array("ip_locale" => "192.168.10.123"));
				// exec('sudo reboot');
				break;
			case 060:
				//Envoie version Player
				$post = API_POST($url, array("player_version" => $CONFIG['player_version']));
				break;
		}
	}
	//* FIN Gestion des requettes POST au serveur
	// Gestion des ERREURS
	if($server_data['statusCode'] != 200){
		if(empty($server_data['statusCode']) or $server_data['statusCode'] == null or !isset($server_data['statusCode'])){
			//inclure gestionnaire d'érreur
			$ERROR = Error('503');
			include('./includes/error.php');
			echo '<meta http-equiv="refresh" content="60">'; //Nouvel essai dans 1 minutes
			exit;
		}else{
			//inclure gestionnaire d'érreur
			$ERROR = Error($server_data['statusCode']);
			include('./includes/error.php');
			echo '<meta http-equiv="refresh" content="60">'; //Nouvel essai dans 1 minutes
			exit;
		}
	}
	//* FIN Gestion des ERREURS
}else{
	//inclure gestionnaire d'érreur
	// ERREUR 404 : Internet Not found !
	$ERROR = Error('404');
	include('./includes/error.php');
	echo '<meta http-equiv="refresh" content="60">'; //Nouvel essai dans 1 minutes
	exit;
}
?>